Skip to main content
These endpoints let you install, update, uninstall, and retrieve information about plug-ins in your Kintone environment.
The install, update, and uninstall endpoints require Kintone Administrator privileges. The get installed plug-ins, get plug-in apps, and get required plug-ins endpoints have no special permission requirements.

Installing a plug-in

Installing a plug-in is a two-step process: first upload the plug-in ZIP file to get a fileKey, then pass that key to the Install Plug-in endpoint.
1

Upload the plug-in ZIP file

Use the Upload File endpoint to upload your plug-in .zip file. The response includes a fileKey that is valid for one use.
curl -X POST 'https://{subdomain}.kintone.com/k/v1/file.json' \
  -H 'X-Cybozu-Authorization: {AuthorizationCode}' \
  -F 'file=@/path/to/plugin.zip'
{ "fileKey": "c15b3870-7505-4ab6-9d8d-b9bdbc74f5d6" }
2

Install the plug-in

Pass the fileKey from step 1 to the Install Plug-in endpoint.
curl -X POST 'https://{subdomain}.kintone.com/k/v1/plugin.json' \
  -H 'X-Cybozu-Authorization: {AuthorizationCode}' \
  -H 'Content-Type: application/json' \
  -d '{"fileKey": "c15b3870-7505-4ab6-9d8d-b9bdbc74f5d6"}'
The response returns the new plug-in id and version.
{
  "id": "djmhffjhfgmebgnmcggopedaofckljlj",
  "version": "1.0.0"
}

Endpoints

Gets the list of plug-ins installed in the Kintone environment.

Request

ParameterTypeRequiredDescription
offsetIntegerThe number of plug-ins to skip. Defaults to 0.
limitIntegerThe maximum number of plug-ins to return. Must be between 1 and 100. Defaults to 100.
idsArray of StringsFilter by plug-in IDs. Maximum of 100 IDs. If null or an empty array, this parameter is ignored.

Response

ParameterTypeDescription
pluginsArrayA list of installed plug-in objects, in descending order of install date.
plugins[].idStringThe plug-in ID.
plugins[].nameStringThe name of the plug-in.
plugins[].isMarketPluginBooleanWhether the plug-in was installed from the Kintone Marketplace.
plugins[].versionStringThe version number of the plug-in.
plugins[].descriptionStringThe plug-in description. Empty string if none.

Examples

curl -X GET 'https://{subdomain}.kintone.com/k/v1/plugins.json' \
  -H 'X-Cybozu-Authorization: {AuthorizationCode}' \
  -H 'Content-Type: application/json' \
  -d '{"offset": 0, "limit": 10}'

Sample response

{
  "plugins": [
    {
      "id": "djmhffjhfgmebgnmcggopedaofckljlj",
      "name": "Plugin 1",
      "isMarketPlugin": false,
      "version": "1",
      "description": "Description of Plugin 1"
    },
    {
      "id": "ejgcopfamifdhmkafjgidfmgjdmiaplf",
      "name": "Plugin 2",
      "isMarketPlugin": false,
      "version": "2",
      "description": "Description of Plugin 2"
    }
  ]
}
Installs a plug-in into the Kintone environment using a fileKey obtained from the Upload File endpoint.
Only Kintone Administrators can use this endpoint.

Request

ParameterTypeRequiredDescription
fileKeyStringYesThe file key of the uploaded plug-in ZIP. Obtain this from the Upload File endpoint.

Response

ParameterTypeDescription
idStringThe ID of the installed plug-in.
versionStringThe version number of the installed plug-in.

Example

curl -X POST 'https://{subdomain}.kintone.com/k/v1/plugin.json' \
  -H 'X-Cybozu-Authorization: {AuthorizationCode}' \
  -H 'Content-Type: application/json' \
  -d '{
    "fileKey": "c15b3870-7505-4ab6-9d8d-b9bdbc74f5d6"
  }'

Sample response

{
  "id": "djmhffjhfgmebgnmcggopedaofckljlj",
  "version": "1.0.0"
}
Updates an installed plug-in to a new version.
Only Kintone Administrators can use this endpoint.

Request

ParameterTypeRequiredDescription
idStringYesThe ID of the plug-in to update.
fileKeyStringYesThe file key of the updated plug-in ZIP. Obtain this from the Upload File endpoint.

Response

ParameterTypeDescription
idStringThe ID of the updated plug-in.
versionStringThe new version number of the plug-in.

Example

curl -X PUT 'https://{subdomain}.kintone.com/k/v1/plugin.json' \
  -H 'X-Cybozu-Authorization: {AuthorizationCode}' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "djmhffjhfgmebgnmcggopedaofckljlj",
    "fileKey": "c15b3870-7505-4ab6-9d8d-b9bdbc74f5d6"
  }'

Sample response

{
  "id": "djmhffjhfgmebgnmcggopedaofckljlj",
  "version": "1.0.1"
}
Uninstalls a plug-in from the Kintone environment.
Only Kintone Administrators can use this endpoint. Uninstalling a plug-in that is currently added to apps will affect those apps.

Request

ParameterTypeRequiredDescription
idStringYesThe ID of the plug-in to uninstall.

Response

An empty JSON object is returned.

Example

curl -X DELETE 'https://{subdomain}.kintone.com/k/v1/plugin.json' \
  -H 'X-Cybozu-Authorization: {AuthorizationCode}' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "djmhffjhfgmebgnmcggopedaofckljlj"
  }'

Sample response

{}
Gets the list of apps that have a specific plug-in added.
Only Kintone Administrators can use this endpoint.

Request

ParameterTypeRequiredDescription
idStringYesThe ID of the plug-in.
offsetIntegerThe number of apps to skip. Defaults to 0.
limitIntegerThe maximum number of apps to return. Must be between 1 and 500. Defaults to 100.

Response

ParameterTypeDescription
appsArrayA list of app objects, in ascending order of App ID.
apps[].idStringThe App ID.
apps[].nameStringThe name of the app.

Example

curl -X GET 'https://{subdomain}.kintone.com/k/v1/plugin/apps.json' \
  -H 'X-Cybozu-Authorization: {AuthorizationCode}' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "djmhffjhfgmebgnmcggopedaofckljlj",
    "offset": 1,
    "limit": 3
  }'

Sample response

{
  "apps": [
    { "id": "1", "name": "App 1" },
    { "id": "2", "name": "App 2" },
    { "id": "3", "name": "App 3" }
  ]
}
Gets the list of plug-ins that were previously installed and added to apps, but have since been uninstalled from the Kintone environment. These plug-ins need to be reinstalled to restore full app functionality.
This situation occurs when a plug-in is installed, added to one or more apps, and then uninstalled from the Kintone environment. The apps still reference the plug-in, but it is no longer available.

Request

ParameterTypeRequiredDescription
offsetIntegerThe number of plug-ins to skip. Defaults to 0.
limitIntegerThe maximum number of plug-ins to return. Must be between 1 and 100. Defaults to 100.

Response

ParameterTypeDescription
pluginsArrayA list of plug-ins that need to be reinstalled.
plugins[].idStringThe plug-in ID.
plugins[].nameStringThe name of the plug-in.
plugins[].isMarketPluginBooleanWhether the plug-in was installed from the Kintone Marketplace.

Example

curl -X GET 'https://{subdomain}.kintone.com/k/v1/plugins/required.json' \
  -H 'X-Cybozu-Authorization: {AuthorizationCode}' \
  -H 'Content-Type: application/json' \
  -d '{"offset": 0, "limit": 10}'

Sample response

{
  "plugins": [
    { "id": "djmhffjhfgmebgnmcggopedaofckljlj", "name": "Plugin 1", "isMarketPlugin": false },
    { "id": "ejgcopfamifdhmkafjgidfmgjdmiaplf", "name": "Plugin 2", "isMarketPlugin": false }
  ]
}

Build docs developers (and LLMs) love